<!DOCTYPE html>
<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row" *ngIf="login_status">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <span *ngIf="searchLoader">
            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
          </span>
          <div class="ibox-title">
            <h3>
              <strong>Edit Orders</strong>
            </h3>
            <h4 *ngIf="selected_shift_refernce">
              <strong>Selected shift refernce : {{selected_shift_refernce}}</strong>
            </h4>
            <div class="fm-row row">
              <div class="col-md-12">
                <div class="col-xs-6 autocomplete-field-container">
                  <input type="text" matInput placeholder="Enter Shift Detail Id" class="form-control" name="shift_id"
                    [formControl]="orderCtrl" [(ngModel)]="shift_id" aria-label="shift" [matAutocomplete]="shift">
                  <mat-autocomplete #shift="matAutocomplete" [displayWith]="displayFnOrderId"
                    (optionSelected)="orderIdselected($event)">
                    <mat-option *ngFor="let order of allOrderIddata" [value]="order">
                      <span>{{order.unique_shift_detail_id}}
                      </span>
                    </mat-option>
                    <mat-option *ngIf="allOrderIddata == '' && allOrderIddata.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                  <button (click)="reset()" class="btn btn-sm red">
                    Reset
                  </button>
                  <button (click)="cancel()" class="btn btn-sm btn-primary blue">
                    Back
                  </button>
                </div>
                <div class="col-xs-3">

                </div>
                <div class="col-xs-3">

                </div>
              </div>
            </div>
            <div class="card" *ngIf="!orderlist">
              <div class="card-body">
                <p style="text-align: center;">No orders to show</p>
              </div>
            </div>
            <div class="card" *ngIf="orderlist">
              <h3 class="card-header text-center font-weight-bold text-uppercase py-4">Editable Orders</h3>
              <div class="card-body">
                <div id="table" class="table-editable">
                  <table aria-describedby="Edit Orders" class="table table-bordered table-responsive-md table-striped text-center">
                    <tr>
                      <th scope="col" class="text-center">Order ID</th>
                      <th scope="col" class="text-center">Order Details
                        <br>Source/
                        <br>Start Time/
                        <br>Destination/
                        <br>Stop Time/
                        <br>Distance</th>
                      <th scope="col" class="text-center">Driver/
                        <br>Accept time/
                        <br>Rating/
                        <br>Feedback</th>
                      <th scope="col" class="text-center">Vehichle/
                        <br>Vehicle Plate/
                        <br>Vehicle Side Number
                      </th>
                      <th scope="col" class="text-center">Payment type</th>
                      <th scope="col" class="text-center">Partner Id</th>
                      <th scope="col" class="text-center">Order Amount</th>
                    </tr>
                    <tr *ngFor="let order of OrderData; let id = index">
                      <td>
                        <span>{{order.unique_order_id}}</span>
                      </td>
                      <td>
                        <span>{{order.pickup_location}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id!=null ?
                              order.sync_trip_id.start_trip_calendar ?
                              order.sync_trip_id.start_trip_calendar :'NA' :'NA'}} </span>
                        <br>
                        <br>
                        <span>{{order.drop_location}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id!=null
                              ?order.sync_trip_id.finished_trip_calendar?
                              order.sync_trip_id.finished_trip_calendar:'NA':'NA'}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id ?
                              order.sync_trip_id.total_distance_travelled :
                              order.distance}}
                        </span>
                        <br>
                        <br>
                      </td>
                      <td>
                        <span>{{order.driver_id ? order.driver_id.username: ' NA '}} </span>
                        <br>
                        <br>

                        <span> {{order.accept_time?order.accept_time:"NA"}} </span>
                        <br>
                        <br>
                        <span> {{order.sync_trip_id ? order.sync_trip_id.trip_rating: ' NA
                              '}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id ? order.sync_trip_id.trip_comment ?
                              order.sync_trip_id.trip_comment:
                              'NA':'NA'}}
                        </span>
                        <br>
                        <br>
                      </td>
                      <td>
                        <span> {{order.vehicle_id ? order.vehicle_id.display_name: 'NA '}}
                        </span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">( {{order.vehicle_id ?
                              order.vehicle_id.vehicle_unique_id: 'NA '}})</span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.plate_number
                              ? order.vehicle_id.plate_number: 'NA
                              '}}
                        </span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.vehicle_identity_number
                              ? order.vehicle_id.vehicle_identity_number:
                              'NA '}}</span>
                      </td>
                      <td>
                        <select name='pageSize' [(ngModel)]='order.payment_type'>
                          <option value="1">CASH</option>
                          <option value="2">CREDIT</option>
                          <option value="3">ACCOUNT</option>
                          <option value="4">ONLINE</option>
                        </select>
                      </td>
                      <td>
                        <select name='partner' [(ngModel)]='order.partner_id'>
                          <option [value]=null><span>No partner Selected
                            </span></option>
                          <option *ngFor="let partner of partnersData" [value]="partner._id">
                            <span>{{partner.name}}
                            </span>
                          </option>
                        </select>
                      </td>
                      <td>
                        <input matInput placeholder="Total amount" name="fair" [(ngModel)]="order.price"
                          aria-label="fair" disabled type="text" style="width:100px;" appTwoDigitDecimaNumber>
                      </td>
                    </tr>
                  </table>
                </div>
                <div class="row text-center">
                  <div class="col-lg-12">
                    <button (click)="updateOrders();" class="btn btn-sm btn-primary blue">
                      Save
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row" *ngIf="!login_status">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3 style="text-align: center">
              <strong>Enter OTP</strong>
            </h3>
            <div class="row text-center" style="margin-bottom: 10px;">
              <div class="col-lg-12 text-center">
                <div style="text-align: center;width: 100%;border-color: 2px solid black;">
                  <input matInput placeholder="OTP" class="form-control" name="otp" [(ngModel)]="otp" aria-label="otp"
                    style="width:20%;text-align: center" type="Number">
                </div>
              </div>
            </div>
            <div class="row text-center">
              <div class="col-lg-12">
                <button (click)="verifyOTP();" class="btn btn-sm btn-primary blue">
                  Verify
                </button>
                <button (click)="cancel();" class="btn btn-sm red">
                  Cancel
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>